<script setup lang="ts">
import { getImageUrl, type Product } from '@/types/Product'

const props = defineProps<{
  product: Product
}>()

const emit = defineEmits<{
  selectedProduct: [Product]
}>()

const selected = function () {
  console.log('ProductList' + props.product)
  emit('selectedProduct', props.product)
}
</script>

<template>
  <v-sheet width="150px" height="170px" elevation="3" rounded class="btn" @click="selected">
    <v-img :src="getImageUrl(product)" height="120" cover class="product-image"></v-img>
    <div style="text-align: center; white-space: nowrap; overflow: hidden; text-overflow: ellipsis">
      {{ product.name }}
    </div>
    <div style="text-align: center">{{ product.price }} Baht</div>
  </v-sheet>
</template>

<style scoped>
.btn {
  background-color: #ffffff;
  border: none;
  color: black;
  transition: 0.3s;
}

.btn:hover {
  background-color: #cecece;
  color: rgb(0, 0, 0);
}

/* CSS Selector เพื่อทำ hover ที่รูปภาพ */
.product-image {
  border-radius: 3%;
  transition: border-radius 0.3s;
}

.product-image:hover {
  border-radius: 20%;
  padding: 3%;
}
</style>
